Bug 967268 - boot order has been changed after unexpected reboot
Summary: boot order has been changed after unexpected reboot
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.1.4
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
: 3.3.0
Assignee: Omer Frenkel
QA Contact: Jiri Belka
URL:
Whiteboard: virt
: 961367 (view as bug list)
Depends On:
Blocks: 902971 970081 970602
TreeView+ depends on / blocked
 
Reported: 2013-05-26 07:48 UTC by Pavel Zhukov
Modified: 2018-12-02 17:23 UTC (History)
16 users (show)

Fixed In Version: is2
Doc Type: Bug Fix
Doc Text:
Previously, the vm-devices feature included when upgrading from Red Hat Enterprise Virtualization 3.0 would cause the 'boot' flag on virtual machine disks not to be taken into account during the upgrade process. On virtual machines with more than one disk, this would sometimes result in a different disk being used as the boot disk after the upgrade, preventing those virtual machines from starting. With this update, the upgrade script now takes the 'boot' flag into account and retains the same boot disk after the upgrade is complete, allowing virtual machines with more than one disk to start without issue.
Clone Of:
: 970081 (view as bug list)
Environment:
Last Closed: 2014-01-21 17:22:26 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 382513 None None None Never
Red Hat Product Errata RHSA-2014:0038 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.3.0 update 2014-01-21 22:03:06 UTC
oVirt gerrit 15162 'None' MERGED core: fix vm devices upgrade in 3.1 2020-07-29 01:20:09 UTC

Description Pavel Zhukov 2013-05-26 07:48:35 UTC
Description of problem:
After unexpected hypervisor reboot VMs with more that one disks are failed to boot OS without any errors. 
boot_order of the bootable disk has been increased.

Version-Release number of selected component (if applicable):
rhevm-3.1.0-50.el6ev.noarch

How reproducible:
Unknown. WIP

Steps to Reproduce:
1. Start VM in the host
2. Power off the host
3. Try to run VM on the another hypervisor

Actual results:
VM is failed to boot with "Booting from hard disk" message 

Additional info:
Workaround:
1) VM can be booted with "Run once" option 
2) Reactivate bootable disk
3) Change boot order in DB

Comment 4 Michal Skrivanek 2013-05-27 12:32:52 UTC
*** Bug 961367 has been marked as a duplicate of this bug. ***

Comment 7 Jiri Belka 2013-07-29 12:28:50 UTC
ok, is6 (cannot reproduce).

Comment 8 Charlie 2013-11-28 00:20:47 UTC
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.

Comment 9 errata-xmlrpc 2014-01-21 17:22:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html


Note You need to log in before you can comment on or make changes to this bug.